跳转到主要内容
GET
/
space
/
{spaceId}
/
search
cURL
curl --request GET \
  --url 'https://app.teable.ai/api/space/%7BspaceId%7D/search?type=SOME_STRING_VALUE&search=SOME_STRING_VALUE&pageSize=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "list": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "space",
      "icon": "<string>",
      "baseId": "<string>",
      "baseName": "<string>",
      "createdTime": "<string>",
      "createdUser": {
        "id": "<string>",
        "name": "<string>",
        "avatar": "<string>"
      }
    }
  ],
  "total": 123,
  "nextCursor": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

spaceId
string
必填

查询参数

type
enum<string>
可用选项:
space,
base,
table,
view,
field,
record,
workflow,
app,
dashboard,
folder
Minimum string length: 1
pageSize
integer
默认值:10
必填范围: 1 <= x <= 50
cursor
string

响应

200 - application/json

Returns the search results.

list
object[]
必填
total
number
必填
nextCursor
string | null
必填
Last modified on March 5, 2026